clang-tools 10.0.0

Classes | Functions
clang::tidy::google::objc Namespace Reference

## Classes
class | AvoidNSObjectNewCheck
| This check finds Objective-C code that uses +new to create object instances, or overrides +new in classes. More...
class | AvoidThrowingObjCExceptionCheck
| The check is to find usage of. More...
class | FunctionNamingCheck
| Finds function names that do not conform to the recommendations of the Google Objective-C Style Guide. More...
class | GlobalVariableDeclarationCheck
| The check for Objective-C global variables and constants naming convention. More...

## Functions
static bool | isMessageExpressionInsideMacro (const ObjCMessageExpr *Expr)
static bool | isInitMethodAvailable (const ObjCInterfaceDecl *ClassDecl)
static StringRef | getReceiverString (SourceRange ReceiverRange, const SourceManager &SM, const LangOptions &LangOpts)
static FixItHint | getCallFixItHint (const ObjCMessageExpr *Expr, const SourceManager &SM, const LangOptions &LangOpts)

## Function Documentation

## ◆ getCallFixItHint()

static FixItHint clang::tidy::google::objc::getCallFixItHint | ( | const ObjCMessageExpr * | Expr,
|  | const SourceManager & | SM,
|  | const LangOptions & | LangOpts
| ) |  |
| static

Definition at line 68 of file AvoidNSObjectNewCheck.cpp.

## ◆ getReceiverString()

static StringRef clang::tidy::google::objc::getReceiverString | ( | SourceRange | ReceiverRange,
|  | const SourceManager & | SM,
|  | const LangOptions & | LangOpts
| ) |  |
| static

Definition at line 60 of file AvoidNSObjectNewCheck.cpp.

## ◆ isInitMethodAvailable()

static bool clang::tidy::google::objc::isInitMethodAvailable | ( | const ObjCInterfaceDecl * | ClassDecl | ) |
| static

Definition at line 40 of file AvoidNSObjectNewCheck.cpp.

## ◆ isMessageExpressionInsideMacro()

static bool clang::tidy::google::objc::isMessageExpressionInsideMacro | ( | const ObjCMessageExpr * | Expr | ) |
| static

Definition at line 26 of file AvoidNSObjectNewCheck.cpp.